POSITIONDB(1)

NAME
positionDB - management of posDB files

SYNOPSIS
positionDB [-mersize k] [-merskip k] [-use a-b,c] [-merbegin b] [-merend e] -sequence s.fasta -output p.posDB

positionDB -dump datafile

positionDB -test1 sequence.fasta

positionDB -test2 db.fasta sequence.fasta

OPTIONS

  Building an image

-mersize k
    The size of the mers, default=20.

-merskip k
    The skip between mers, default=0

-use a-b,c
    Specify which sequences to use, default=all

-merbegin b
    Build on a subset of the mers, starting at mer #b, default=all mers

-merend e
    Build on a subset of the mers, ending at mer #e, default=all mers

-sequence s.fasta
    Input sequences.

-output p.posDB
    Output filename.

  Dumping information about an image

-dump datafile.posDB

  Running sanity tests

-test1 sequence.fasta
    Tests if each and every mer is found in the positionDB. Reports if it doesn't find a mer at the correct position. Doesn't report if table has too much stuff.

-test2 db.fasta sequence.fasta
    Builds a positionDB from db.fasta, then searches the table for each mer in sequence.fasta. Reports all mers it finds.

    This is a silly test and you shouldn't do it.

SEE ALSO
existDB(1), meryl(1)